:root {
    scroll-behavior: smooth;
    --primary-green: #163d29;
    --dark-green: #163d29;
    --light-green: #f4fff9;
    --accent-gold: #c78814;
    --text-light: #ffffff;
    --text-dark: #163d29;
    --bg-light-gray: #eaf1ed;
    --bg-light-green: #dbf0e5;
    --bg-light-yellow: #fff4df;
    --link-color: #4ac371;
    --header-height: 100px;

    --secondary-green: #38c57e;
    --text-green: #3b5e4c;
    --placeholder-gray: #91ae9f;
    --background-light: #f6f9f7;
    --background-white: #ffffff;
    --border-color: #254b38;

    --color-white: #ffffff;
    --font-main: 'Zain', sans-serif;
    --font-heading: 'Tajawal', sans-serif;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    direction: rtl;
    scroll-behavior: smooth !important;
}

html:focus-within {
    scroll-behavior: smooth;
}

body {
    scroll-behavior: smooth !important;
    font-family: 'Zain', sans-serif;
    background-color: var(--text-light);
    color: var(--text-dark);
    margin: 0;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    /*padding-top: var(--header-height);*/
}

.page-wrapper {
    max-width: 1920px;
    margin: 0 auto;
    /*overflow: hidden;*/
    position: relative;
}

.container {
    width: 100%;
    max-width: 1640px;
    margin: 0 auto;
    padding: 0 20px;
}

section, [id] {
    /* ensures anchors land below the fixed header */
    scroll-margin-top: var(--header-height);
}

section {
    padding: 40px 0;
    position: relative;
    overflow: hidden;
}

h1, h2, h3, h4, h5, h6, p {
    margin: 0;
}

a {
    text-decoration: none;
    color: inherit;
}

ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

button {
    border: none;
    background: none;
    cursor: pointer;
    font-family: inherit;
}

.section-title-container {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
    margin-bottom: 20px;
}

.section-title {
    font-family: 'Zain', sans-serif;
    font-weight: 600;
    font-size: 50px;
    color: var(--primary-green);
    text-align: center;
}

@media (max-width: 992px) {
    .section-title {
        font-size: 64px;
    }
    section {
        padding: 60px 0;
    }
}

@media (max-width: 768px) {
    .section-title {
        font-size: 48px;
    }
    .section-title-container img {
        width: 20px;
    }
    section {
        padding: 40px 0;
    }
}
